org.eclipse.mat.ui.internal.query.arguments

## Class ArgumentsWizard

- java.lang.Object
- - Wizard
  - - org.eclipse.mat.ui.internal.query.arguments.ArgumentsWizard

    public class ArgumentsWizard
    extends Wizard

### Constructor Summary

Constructors
Constructor and Description
`ArgumentsWizard(IQueryContext context, ArgumentSet argumentSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`void` `createPageControls(Composite pageContainer)`
`IDialogSettings` `getDialogSettings()`
`boolean` `performFinish()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentsWizard

    public ArgumentsWizard(IQueryContext context,
                           ArgumentSet argumentSet)

### Method Detail

#### createPageControls

    public void createPageControls(Composite pageContainer)

#### getDialogSettings

    public IDialogSettings getDialogSettings()

#### addPages

    public void addPages()

#### performFinish

    public boolean performFinish()